WHATIS(1)

NOMBRE
whatis - imprime descripciones de páginas de manual

SINOPSIS
whatis [-dhV] [-r|-w ] [-m sistema[,...]] [-M ruta] nombre ...

DESCRIPCIÓN
Cada página de manual contiene una pequeña descripción. whatis realiza una búsqueda entre los nombres de las páginas de manual, mostrando aquellos que se asemejen al nombre dado. nombre puede contener caracteres comodín (-w) o puede tratarse de una expresión regular (-r). Si se usa una de estas opciones, puede resultar necesario entrecomillar el nombre o anteponer `\' a dichos caracteres para evitar que el intérprete de órdenes los sustituya. Las bases de datos índices son usadas durante la búsqueda. Para generar una base de datos whatis antigua tipo texto de la base index índice, basta usar la orden: whatis -M ruta_de_manual -w '*' | sort > ruta_de_manual/whatis donde ruta_de_manual es una jerarquía de páginas de manual como, por ejemplo, /usr/man.

OPCIONES

-d, --debug
    Imprime información de depurado.

-r, --regex
    Interpreta cada nombre como una expresión regular. Si un nombre se asemeja a cualquier parte del nombre de una página, se interpretará como una identificación positiva. Esta opción hace que whatis funcione algo más lento dada la naturaleza de las búsquedas en bases de datos.

-w, --wildcard
    Interpreta cada nombre como un patrón que contiene caracteres comodín al estílo del intérprete de órdenes. Para que se produzca una identificación positiva, el nombre expandido debe corresponder al nombre de la página completo. Esta opción hace que whatis funcione algo más lento dada la naturaleza de las búsquedas en bases de datos.

-m sistema [,...], --systems=sistema [,...]
    Si este sistema tiene acceso a los nombres de páginas del manual de otro sistema operativo, se puede acceder a ellos mediante esta opción. Para buscar entre las páginas de NuevoSO, use la opción -m NuevoSO. El sistema especificado puede en realidad ser una combinación de nombres de sistemas operativos separados por "comas". Para incluir en la búsqueda las páginas del sistema operativo nativo, incluya el nombre de sistema man en la cadena de argumentos. El valor dado en esta opción es utlizado por el sistema en lugar de la variable del entorno $SYSTEM.

-M ruta, --manpath=ruta
    Especifica un conjunto de jerarquías de páginas de manual delimitado por "dos puntos" en el que se realizará la búsqueda. Por defecto, apropos usa la variable de entorno $MANPATH a menos que ésta esté vacía o desactivada, en cuyo caso se determinará la ruta de manual apropiada en base al contenido de la variable de entorno $PATH. El valor dado en esta opción es utlizado por el sistema en lugar de la variable del entorno $MANPATH.

-h, --help
    Imprime un mensaje de ayuda y termina.

-V, --version
    Presenta la información sobre el autor y la versión.

ESTADO DE SALIDA

0   La ejecución del programa ha terminado con éxito.

1   Error de uso, sintaxis o del fichero de configuración.

2   Error operacional.

16  No se han encontrado páginas de manual que se asemejen a los criterios especificados.

ENTORNO

SYSTEM
    Si la variable $SYSTEM está activa, tendrá el mismo efecto que si su contenido hubiese sido usado como argumento con la opción -m .

MANPATH
    Si la variable $MANPATH está activa, su valor se interpreta como la lista de sucesivas jerarquías de páginas de manual separadas por "dos puntos", que se usará en la búsqueda.

FICHEROS

/usr/man/index.(bt|db|dir|pag)
    Índice tradicional global del caché de la base de datos.

/var/catman/index.(bt|db|dir|pag)
    Índice global alternativo o de acuerdo al FSSTND del caché de la base de datos.

/usr/man/.../whatis
    Base de datos whatis tradicional tipo texto.

VÉASE TAMBIÉN
apropos(1), man(1).

AUTOR
Wilf. (G.Wilford@ee.surrey.ac.uk) Traducción realizada por Luis F. González (luisgh@cogs.susx.ac.uk)